﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace DateTimePickerShowDecadeView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ViewModel _viewModel;

        public MainWindow()
        {
            InitializeComponent();
            _viewModel = this.Resources["ViewModel"] as ViewModel;
            this.DataContext = _viewModel;
        }

        private void OnDropDownOpened(object sender, RoutedEventArgs e)
        {
            if ((sender as RadDateTimePicker).SelectedValue == null)
            {
                this._viewModel.CalendarDisplayMode = DisplayMode.DecadeView;
            }           
           
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            this._viewModel.CalendarDisplayMode = DisplayMode.DecadeView; 
       
        }
    }

    public class ViewModel : ViewModelBase
    {
        private DisplayMode _CalendarDisplayMode;

        public DisplayMode CalendarDisplayMode
        {
            get
            {
                return this._CalendarDisplayMode;
            }

            set
            {
                if (this._CalendarDisplayMode != value)
                {
                    this._CalendarDisplayMode = value;
                    this.OnPropertyChanged(() => this.CalendarDisplayMode);
                }
            }
        }
    }
}
